coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/brands/enrolled2609170000

Enrolled Brands List

# 01

Summary

Enrolled Brands List

# 02

Details

Available buyer market: Korea

This API retrieves the comprehensive list of brands registered and enrolled by the vendor.

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/brands/enrolled

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/brands/enrolled
# 03

Response body

Response message

NameTypeDescription
codestring
Result code
SUCCESS/ERROR
messagestring
Result message
dataobject[]
List of enrolled brands
brandId
data[].brandId
string
Unique brand identifier (e.g. KR-5)
brandName
data[].brandName
string
Brand name (e.g. NIKE)

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": [
    {
      "brandId": "KR-5",
      "brandName": "NIKE"
    },
    {
      "brandId": "KR-12",
      "brandName": "SAMSUNG"
    }
  ]
}
# 04

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
401401 Unauthorized

Authentication failed

Verify your HMAC authentication credentials